IntersectionLineSegmentToPlane Method

Returns a new point which is an intersection of the given line segment and plane or null if the line segment and the plane are parallel or do not intersect.

Namespace:  Tekla.Structures.Geometry3d
Assembly:  Tekla.Structures (in Tekla.Structures.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
public static Point LineSegmentToPlane(
	LineSegment lineSegment,
	GeometricPlane plane
)

Parameters

lineSegment
Type: Tekla.Structures.Geometry3dLineSegment
The line segment to be used.
plane
Type: Tekla.Structures.Geometry3dGeometricPlane
The plane to be used.

Return Value

Type: Point
The intersection point or null if no intersection was found.
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next